Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132942 - I18N - xhtml file always uses utf-8 encoding value
I18N - xhtml file always uses utf-8 encoding value
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
All All
: P2 (vote)
: 6.x
Assigned To: pslechta
Jindrich Sedek
61fixes1-fixed
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 00:19 UTC by kaa
Modified: 2009-05-18 10:47 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-04-16 00:19:12 UTC
Product Version: NetBeans IDE 6.1 RC1 (Build 200804100130)
Java: 1.6.0_05; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)

Steps:
1. Create bpel module (using win-31j)
2. Create XHTML file from Others category
The file has UTF-8/win-31j mix in it. Below is the source code:

<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=windows-31j"/>
        <title>TODO supply a title</title>
    </head>
    <body>
        <p>
            TODO write content
        </p>
    </body>
</html>

In case of UTF-8 encoding tags look consistent. Both values are UTF-8. Xhtml template has UTF-8 in it.
If this is valid issue, please fix this in trunk soon so that it could be considered as candidate for 6.1 patch fixes.
Comment 1 Ken Frank 2008-04-16 20:43:50 UTC
added the status whiteboard entry for issues that could be in
patch 1 for nb6.1 in case it can be done - if so please fix now in
trunk since it needs to be verfied there first.

ken.frank@sun.com
Comment 2 pslechta 2008-04-22 14:10:45 UTC
Very simple change -- template for XHTML needs to be changed.
Comment 3 pslechta 2008-04-22 14:34:22 UTC
Fixed.

http://hg.netbeans.org/main/rev/bbab6c175f1e
Comment 4 Ken Frank 2008-04-22 15:34:00 UTC
andrey,

verify now using hudson build/zip that has the fix and then, if verified,
note that fix can be moved to release61 branch so can be in patch.

ken.frank@sun.com
Comment 5 kaa 2008-04-22 17:50:29 UTC
verified using build 1693.
Looks ok for UTF-8 and Win-31j project encodings.
Comment 6 pslechta 2008-04-28 18:23:00 UTC
The fix has been ported into the release61_fixes branch.

http://hg.netbeans.org/release61_fixes/rev/e871632cff42


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo